<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <View
        android:id="@+id/v_login_background"
        android:layout_width="0dp"
        android:layout_height="60dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="16dp"
        android:background="@drawable/bg_shape_white_radius_8"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_login_tips"
        style="@style/TextBody2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:text="@string/login_tips_in_follow_home_page"
        android:textColor="@color/text_primary"
        app:layout_constraintBottom_toBottomOf="@id/v_login_background"
        app:layout_constraintEnd_toStartOf="@id/tv_login"
        app:layout_constraintStart_toStartOf="@id/v_login_background"
        app:layout_constraintTop_toTopOf="@id/v_login_background" />

    <Button
        android:id="@+id/tv_login"
        style="@style/BtnSmallStyle"
        android:layout_width="56dp"
        android:layout_height="28dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/bg_common_button_fill_gradient_blue"
        android:gravity="center"
        android:text="@string/login"
        android:textColor="@color/text_aw_primary"
        app:layout_constraintBottom_toBottomOf="@id/v_login_background"
        app:layout_constraintEnd_toEndOf="@id/v_login_background"
        app:layout_constraintTop_toTopOf="@id/v_login_background" />


    <androidx.constraintlayout.widget.Group
        android:id="@+id/g_login"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:constraint_referenced_ids="v_login_background,tv_login_tips,tv_login" />

    <TextView
        android:id="@+id/tv_no_data_tips"
        style="@style/TextBody2"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:gravity="center"
        android:text="@string/no_follow_tips_in_follow_home_page"
        android:textColor="@color/text_tertiary"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_followed"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="16dp"
        android:clipToPadding="false"
        android:paddingStart="10dp"
        android:paddingEnd="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:itemCount="3"
        tools:listitem="@layout/recycler_followed_list_bbs" />
</androidx.constraintlayout.widget.ConstraintLayout>